Package org.opentcs.data.notification

# Enum UserNotification.Level

java.lang.Object
java.lang.Enum<UserNotification.Level>
org.opentcs.data.notification.UserNotification.Level

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<UserNotification.Level>`, `java.lang.constant.Constable`

Enclosing class:
  UserNotification

    public static enum UserNotification.Level
    extends java.lang.Enum<UserNotification.Level>

Defines the possible message types.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `IMPORTANT` | Marks important content the user should not miss.
  `INFORMATIONAL` | Marks usual, informational content.
  `NOTEWORTHY` | Marks unusual content a user would probably be interested in.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static UserNotification.Level` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static UserNotification.Level[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INFORMATIONAL

    public static final UserNotification.Level INFORMATIONAL
    Marks usual, informational content.

  - ### NOTEWORTHY

    public static final UserNotification.Level NOTEWORTHY
    Marks unusual content a user would probably be interested in.

  - ### IMPORTANT

    public static final UserNotification.Level IMPORTANT
    Marks important content the user should not miss.

- ## Method Details

  - ### values

    public static UserNotification.Level[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static UserNotification.Level valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null